package com.persagy.server.datacenter.models.entities.dictdatacenter

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.server.datacenter.models.entities.base.RBaseInfo
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 自定义字典方案
 *
 * @author 张维新
 */
@ApiModel(description = "自定义字典方案")
@Table(name = "dictcustom.dict_custom_scheme")
class DictCustomScheme : RBaseInfo() {

    /** 方案ID */
    @ApiModelProperty(value = "方案ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "SchemeId")
    var id: String? = null

    /** 方案名称 */
    @ApiModelProperty(value = "方案名称")
    @Column(name = "name")
    @JSONField(name = "SchemeName")
    var name: String? = null

    /** 方案描述 */
    @ApiModelProperty(value = "方案描述")
    @Column(name = "desc")
    @JSONField(name = "Desc")
    var desc: String? = null

} // Class DictCustomScheme