package com.persagy.server.datacenter.models.entities.dictnew

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 专业
 *
 * @author  wx
 * @date  2020/9/20 16:03
 */
@ApiModel(description = "专业")
@Table(name = "dict.def_major")
class DictMajor: Serializable {

    /** 全局id */
    @ApiModelProperty(value = "全局id")
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: Int? = null

    @ApiModelProperty(value = "编码")
    @Id
    @Column(name = "code")
    @JSONField(name = "Code")
    var code: String? = null

    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    @ApiModelProperty(value = "说明")
    @Column(name = "note")
    @JSONField(name = "Note")
    var note: String? = null

    @ApiModelProperty(value = "别编码")
    @Column(name = "alias_code")
    @JSONField(name = "AliasCode")
    var aliasCode: String? = null

    @ApiModelProperty(value = "别名称")
    @Column(name = "alias_name")
    @JSONField(name = "AliasName")
    var aliasName: String? = null

    @ApiModelProperty(value = "平台类型")
    @Column(name = "type")
    @JSONField(name = "Type")
    var type: String? = null

    @ApiModelProperty(value = "集团id")
    @Column(name = "group_id")
    @JSONField(name = "GroupId")
    var groupId: String? = null

} // class DictMajor