package com.persagy.server.datacenter.models.entities.dictnew

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 字典 项目信息
 *
 * @author  wx
 * @date  2020/9/17 9:46
 */
@ApiModel(description = "字典 项目信息")
@Table(name = "dict.project")
class DictProject {

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var  id: String? = null

    /** 项目名称 */
    @ApiModelProperty(value = "项目名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 集团id */
    @ApiModelProperty(value = "集团id")
    @Column(name = "group_id")
    @JSONField(name = "GroupId")
    var groupId: String? = null

} // Class DictProject