package com.persagy.server.datacenter.models.entities.dictnew

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 方案
 *
 * @author  wx
 * @date  2020/9/20 16:50
 */
@ApiModel(description = "方案")
@Table(name = "dict.scheme")
class DictScheme: Serializable {

    /** 全局id */
    @ApiModelProperty(value = "全局id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: Int? = null

    @ApiModelProperty(value = "方案名")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    @ApiModelProperty(value = "备注")
    @Column(name = "note")
    @JSONField(name = "Note")
    var note: String? = null

    @ApiModelProperty(value = "集团id")
    @Column(name = "group_id")
    @JSONField(name = "GroupId")
    var groupId: String? = null

} // Class DictScheme