package com.persagy.server.datacenter.models.response

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.server.datacenter.models.entities.base.RBaseInfo
import com.persagy.service.models.responses.SCreateResponse
import io.swagger.annotations.ApiModelProperty

/**
 * 添加关系的应答类
 *
 * @author 张维新
 */
class ManualRelationCalcSCreateResponse : SCreateResponse<RBaseInfo>() {

    /** 错误数据主从对象 */
    @ApiModelProperty(value = "错误数据主从对象 1 主对象  2 从对象")
    @JSONField(name = "ErrorType")
    var errorType: String? = null

} // Class ManualRelationCalcSCreateResponse