package com.persagy.server.syn.models.response

import java.io.Serializable

/**
 *
 * @author  wx
 * @date  2020/9/20 15:50
 */
class DictMajorResponse: Serializable {


    /**
     * result : success
     * data : [{"id":10,"code":"SE","name":"强电专业","aliasCode":"SE","aliasName":"强电专业","type":"common","groupId":"0"},{"id":11,"code":"WE","name":"弱电专业","aliasCode":"WE","aliasName":"弱电专业","type":"common","groupId":"0"},{"id":12,"code":"AC","name":"空调专业","aliasCode":"AC","aliasName":"空调专业","type":"common","groupId":"0"},{"id":13,"code":"FF","name":"消防专业","aliasCode":"FF","aliasName":"消防专业","type":"common","groupId":"0"},{"id":14,"code":"SP","name":"安防专业","aliasCode":"SP","aliasName":"安防专业","type":"common","groupId":"0"},{"id":15,"code":"WS","name":"给排水专业","aliasCode":"WS","aliasName":"给排水专业","type":"common","groupId":"0"},{"id":16,"code":"CF","name":"土建专业","aliasCode":"CF","aliasName":"土建专业","type":"common","groupId":"0"},{"id":17,"code":"OT","name":"其他","aliasCode":"OT","aliasName":"其他","type":"common","groupId":"0"}]
     * count : 8
     */
     var result: String? = null
     var count = 0
     var data: ArrayList<DataBean>? = null

    class DataBean: Serializable {
        /**
         * id : 10
         * code : SE
         * name : 强电专业
         * aliasCode : SE
         * aliasName : 强电专业
         * type : common
         * groupId : 0
         */
        var id = 0
        var code: String? = null
        var name: String? = null
        var aliasCode: String? = null
        var aliasName: String? = null
        var type: String? = null
        var groupId: String? = null
        var note: String? = null

    } // class DataBean

} // class DictMajorResponse