package com.persagy.server.syn.models.response


import io.swagger.annotations.ApiModelProperty

/**
 * 返回体
 * @author  wx
 * @date  2020/6/9 14:56
 */
open class SResponse<ENTITY: Any>( message: String = "", data: ArrayList<ENTITY>) {

    /** 结果 */
    @ApiModelProperty(value = "结果")
    var result: String = ""
    /** 消息 */
    @ApiModelProperty(value = "消息")
    var message: String = ""

    /** 结果 */
    @ApiModelProperty(value = "结果")
    var data: ArrayList<ENTITY>? = null

    /** 初始化 */
    init {
        this.message = message
        this.data = data

    } // init()


}