package com.persagy.server.labsl.models.entities

import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 位置信息
 *
 * @author wx
 */
class Pos : Serializable {

    /** X坐标 */
    @ApiModelProperty(value = "X坐标")
    var x: Double? = null

    /** Y坐标 */
    @ApiModelProperty(value = "Y坐标")
    var y: Double? = null

    /** Z坐标 */
    @ApiModelProperty(value = "Z坐标")
    var z: Double? = null

} // Class Pos