package com.persagy.server.mappers

import com.persagy.server.datacenter.models.entities.graphtype.rel.RelShaft
import org.apache.ibatis.annotations.Mapper
import org.apache.ibatis.annotations.Select
import org.springframework.stereotype.Repository

@Mapper
@Repository
interface RelationalProcessingMapper {

    @Select("SELECT id,name,local_id,local_name FROM #{tableName} WHERE project_id = #{projectId} AND #{obj} = #{value}")
    fun queryObject(tableName: String,projectId: String,obj: String,value: String):ArrayList<RelShaft>

} // Interface RelationalProcessingMapper