package com.persagy.server.datacenter.models.entities.dictnew

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 *
 * @author  wx
 * @date  2020/9/20 17:19
 */
@ApiModel(description = "方案")
@Table(name = "dict.scheme_funcid")
class DictSchemeCategotyInfo: Serializable {

    /** 全局id */
    @ApiModelProperty(value = "全局id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id :Int? =  0

    @ApiModelProperty(value = "方案id")
    @Column(name = "scheme_id")
    @JSONField(name = "SchemeId")
    var schemeId :Int? =  0

    @ApiModelProperty(value = "对象类型")
    @Column(name = "class_code")
    @JSONField(name = "ClassCode")
    var classCode: String? = null

    @ApiModelProperty(value = "信息编码")
    @Column(name = "info_code")
    @JSONField(name = "InfoCode")
    var infoCode: String? = null

} // Class DictSchemeCategoty