package com.persagy.server.datacenter.models.entities.dictnew

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 集团实体类
 *
 * @author  wx
 * @date  2020/9/16 22:13
 */
@ApiModel(description = "集团实体类")
@Table(name = "dict.group")
class Group : Serializable {

    /** 编码 */
    @ApiModelProperty(value = "编码")
    @Id
    @Column(name = "code")
    @JSONField(name = "Code")
    var  id: String? = null

    /** 集团名称 */
    @ApiModelProperty(value = "集团名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

} // Class Group