package com.persagy.server.datacenter.models.entities.rel

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.server.datacenter.models.entities.base.RBaseInfo
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 服务于楼层的系统  一对多  一个楼层对应多个系统
 *
 * @author 付国宝
 */
@ApiModel(description = "服务于楼层的系统")
class RFlForSyList : RBaseInfo() {

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    /** 系统id列表 */
    @ApiModelProperty(value = "系统id列表")
    @JSONField(name = "sysIdList")
    var sysIdList: ArrayList<String>? = null

} // Class RFlForSyList