package com.persagy.server.syn.models

/**
 *
 * @author  wx
 * @date  2020/9/20 9:39
 */
class DictPlatformInfo {


    /** 类型编码 */
    var classCode: String? = null

    /** 动静分类:静态STATIC,脉冲PULSE,阶段GRADATION,时序SEQUENTIAL */
    var category: String? = null

    /** 信息点编码 */
    var code: String? = null

    /** 信息点名称 */
    var name: String? = null

    /** 分类:commo平台级, group集团级, project项目级 */
    var type: String? = null

    /** 集团id, 默认为"0" */
    var groupId: String? = null

    /** 项目id, 默认为"0" */
    var projectId: String? = null

    /** 数据类型 */
    var dataType: String? = null

    /** 数据格式 */
    var formater: String? = null

    /** 数据格式 */
    var dataSource: ArrayList<Any?>? = null

    /** 输入方式 */
    var inputMode: String? = null

    /** 一级标签 */
    var firstTag: String? = null

    /** 二级标签 */
    var secondTag: String? = null

    /** 序列 */
    var idx: Int? = null

    /** 优先级,重要程度 */
    var priority: String? = null

    /** 单位 */
    var unit: String? = null

    /** 备注 */
    var note: String? = null

    /** 是否分类标签 */
    var canSub: Boolean? = null

    /** 是否复数 */
    var isMultiple: Boolean? = null

    /** 是否区间 */
    var isRegion: Boolean? = null

    /** 子分类标记 */
    var subFlag: Boolean? = null

    /** 是否只读, 如果是则不允许对该信息点做变更 */
    var readonly: Boolean? = null


} // Class DictPlatformInfo