package com.persagy.server.syn.models.response

import com.persagy.service.models.enums.SResponseType
import com.persagy.service.models.responses.SBaseResponse
import io.swagger.annotations.ApiModelProperty

/**
 * 返回体
 * @author  wx
 * @date  2020/9/9 14:56
 */
open class CommonResponse<ENTITY: Any>(result: SResponseType = SResponseType.success, message: String = "")
    : SBaseResponse(result, message) {

    /** 结果 */
    @ApiModelProperty(value = "结果")
    var data: ArrayList<ENTITY>? = null
}