package com.persagy.server.labsl.models.request

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 系统图类型
 * @author  wx
 * @date  2020/9/17 10:42
 */
class GraphCategoryRequest : Serializable {

    /** 类型开关 true  获取所有 false 获取已有图形的类型 */
    @ApiModelProperty(value = "类型开关 true  获取所有 false 获取已有图形的类型")
    @JSONField(name = "Switch")
    var switch: Boolean = true

} // Class GraphCategoryRequest