package com.persagy.server.meiku.models.entities

import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 锚点
 *
 * @author  wx
 * @date  2020/9/21 10:52
 */
@ApiModel(description = "锚点")
@Table(name = "labsl_meiku.meiku_anchor")
class MeiKuAnchor: Serializable, SBaseEntity() {

    /** 锚点id */
    @ApiModelProperty(value = "锚点id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 图id */
    @ApiModelProperty(value = "图id")
    @Id
    @Column(name = "meitu_id")
    var meiTuId: String? = null

    /** 锚点坐标 */
    @ApiModelProperty(value = "锚点坐标")
    @Column(name = "pos")
    var pos: HashMap<String,Any?>? = null

} // Class MeiKuAnchor