package com.persagy.server.meiku.models.entities

import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 状态
 * @author  wx
 * @date  2020/9/21 11:08
 */
@ApiModel(description = "锚点")
@Table(name = "labsl_meiku.meiku_state")
class MeiKuState: Serializable, SBaseEntity() {

    /** 状态id */
    @ApiModelProperty(value = "状态id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 图id */
    @ApiModelProperty(value = "图id")
    @Id
    @Column(name = "meitu_id")
    var meiTuId: String? = null

    /** 状态内容 */
    @ApiModelProperty(value = "状态内容")
    @Column(name = "state")
    var state: HashMap<String,Any?>? = null

} // class MeiKuState