package com.persagy.server.meiku.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 对象类型
 *
 * @author  wx
 * @date  2020/9/21 11:13
 */
@ApiModel(description = "对象类型")
@Table(name = "labsl_meiku.object_category")
class ObjectCategory: Serializable, SBaseEntity() {

    /** 图id */
    @ApiModelProperty(value = "图id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    var name: String? = null

} // Class ObjectCategory