package com.persagy.server.meiku.models.response

import com.persagy.service.models.enums.SResponseType
import io.swagger.annotations.ApiModelProperty

/**
 * 返回体
 * @author  蔡云飞
 * @date  2020/6/9 14:56
 */
open class SCommonResponse<ENTITY: Any>(result: SResponseType? = SResponseType.success, message: String? = null) {

    /** 结果 */
    @ApiModelProperty(value = "结果")
    var result: SResponseType? = SResponseType.failure
    /** 消息 */
    @ApiModelProperty(value = "消息")
    var message: String? = ""

    /** 结果 */
    @ApiModelProperty(value = "结果")
    var content: ENTITY? = null

    /** 初始化 */
    init {
        this.result = result
        this.message = message
    } // init()


}